%global pkgvers 0
%global scdate0 20250109
%global schash0 9befbad3e6120529918acf1a742e25465f6b95e4
%global branch0 master
%global source0 https://github.com/tapparelj/gr-lora_sdr.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gr-lora
Version:        0.5.8
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        LoRa Plugin for GNURadio
License:        Apache

URL:            https://github.com/martynvdijke/gr-lora_sdr

BuildRequires:  git cmake gcc-c++ doxygen python3
BuildRequires:  boost-devel gmp-devel gnuradio-devel
BuildRequires:  pybind11-devel volk-devel spdlog-devel

%global __cmake_in_source_build 1

%description
gr-limesdr Plugin for GNURadio

%package        devel
Summary:        Development library of SoapySDR
Requires:       %{name} = %{version}-%{release}

%description    devel
Development SoapySDR library

%package        python3
Summary:        Python bindings for apps which use SoapySDR
Requires:       %{name} = %{version}-%{release}

%description    python3
This package contains Python bindings for the OpenCV library.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
%make_build
popd


%install
rm -rf %{buildroot}
pushd build
%make_install
popd
rm -rf %{buildroot}/%{_datadir}/doc
rm -rf %{buildroot}/%{_datadir}/gr-lora_sdr/examples

%files
%doc README.md
%doc build/docs/doxygen/html
%doc examples/*.grc
%{_libdir}/*.so
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/*
%{_libdir}/*.so.*
%{_libdir}/cmake/*

%files python3
%{python3_sitearch}/*


%changelog
* Sun Aug 23 2020 Balint Cristian <cristian.balint@gmail.com>
- github update releases
